import Gatsby from 'gatsby';
export interface IQueryResultRow {
    [key: string]: any;
}
export interface IQueryResult {
    query: IQuery;
    rows: IQueryResultRow[];
}
export declare type ParentMatcher = (childRow: IQueryResultRow, parentRow: IQueryResultRow) => boolean;
export interface IQuery {
    nodeName: string;
    parentNodeName?: string;
    parentMatcher?: ParentMatcher;
    statement: string;
    idFieldName?: string;
    databaseName?: string;
}
export interface IConnectionDetails {
    accessKeyId: string;
    secretAccessKey: string;
    region: string;
    resourceArn: string;
    secretArn: string;
    databaseName: string;
}
export interface ISourcePluginOptions extends Gatsby.PluginOptions {
    connectionDetails: IConnectionDetails;
    queryBatchSize?: number;
    queries: IQuery[];
}
export interface INodeDefinition {
    data: {
        id: string;
        links: {
            parents: {
                [key: string]: string[];
            };
            children: {
                [key: string]: string[];
            };
        };
        internal: {
            type: string;
            content: string;
            contentDigest: string;
        };
    };
    query: IQuery;
    row: IQueryResultRow;
}
//# sourceMappingURL=definitions.d.ts.map